Bug 246829

Summary: databases/p5-DBD-mysql: Fails to build: unknown MySQL version: 8
Product: Ports & Packages Reporter: Ulas SAYGIN <ulassayginim>
Component: Individual Port(s)Assignee: Kubilay Kocak <koobs>
Status: Closed Not A Bug    
Severity: Affects Only Me CC: freebsd
Priority: --- Flags: koobs: maintainer-feedback+
Version: Latest   
Hardware: amd64   
OS: Any   

Description Ulas SAYGIN 2020-05-29 09:28:48 UTC
i cant install opendmarc with mysql 8.
I think databases/p5-DBI/ needs upgrade or patch with opendmarc.


FreeBSD 12.1-RELEASE FreeBSD 12.1-RELEASE r354233 GENERIC  amd64

my make.conf and src.conf below.

/etc/make.conf
# allow compiler optimizations specific to our CPU model
CPUTYPE?=haswell
CFLAGS=-O2 -pipe -fno-strict-aliasing
COPTFLAGS=-O2 -pipe -funroll-loops -ffast-math -fno-strict-aliasing

# disable profiling, unless you like 1hr compile times
MK_PROFILE=no

#WITH_CCACHE_BUILD=yes
#CCACHE_DIR=/tmp/ccache



#Default Versions

DEFAULT_VERSIONS+=ssl=libressl python=3.8 python2=2.7 python3=3.8 php=7.4 pgsql=12 mysql=8

# Headless server options
OPTIONS_SET+=ICONV OPTIMIZED_CFLAGS CPUFLAGS OPTIMIZED
OPTIONS_UNSET+=CUPS DEBUG DOCS FONTCONFIG NLS X11 MAN EXAMPLES MAN3 MANPAGES DTRACE GITWEB
## Libre SSL Needs These
ftp_curl_UNSET=   TLS_SRP
# LibreSSL doesn't work with GSSAPI_BASE
security_p5-GSSAPI_SET     = GSSAPI_MIT
OPTIONS_UNSET             += GSSAPI_BASE


 /etc/src.conf
WITHOUT_ACCT=YES
WITHOUT_AMD=YES
WITHOUT_ATM=YES
WITHOUT_AUDIT=YES
WITHOUT_AUTHPF=YES
WITHOUT_AUTOFS=YES
WITHOUT_BHYVE=YES
WITHOUT_BLUETOOTH=YES
WITHOUT_BOOTPARAMD=YES
WITHOUT_BOOTPD=YES
WITHOUT_BSNMP=YES
WITHOUT_CALENDAR=YES
WITHOUT_CAPSICUM=YES
WITHOUT_CASPER=YES
WITHOUT_CCD=YES

WITHOUT_CTM=YES
WITHOUT_CUSE=YES
WITHOUT_CXGBETOOL=YES

WITHOUT_DEBUG_FILES=YES
WITHOUT_DICT=YES

WITHOUT_DMAGENT=YES


WITHOUT_ED_CRYPTO=YES

WITHOUT_EXAMPLES=YES

WITHOUT_FDT=YES

WITHOUT_FINGER=YES
WITHOUT_FLOPPY=YES

WITHOUT_FTP=YES
WITHOUT_GAMES=YES


WITHOUT_GCOV=YES
WITHOUT_GDB=YES
WITHOUT_GPIO=YES

WITHOUT_GSSAPI=YES
WITHOUT_HAST=YES
WITHOUT_HTML=YES
WITHOUT_HYPERV=YES

WITHOUT_IPFILTER=YES

WITHOUT_ISCSI=YES
WITHOUT_JAIL=YES

WITHOUT_KDUMP=YES

WITHOUT_KERBEROS=YES
WITHOUT_KERBEROS_SUPPORT=YES

WITHOUT_KERNEL_SYMBOLS=YES
WITHOUT_KVM=YES


# WITHOUT_LEGACY_CONSOLE=YES
WITHOUT_LLDB=YES
WITH_LLD_IS_LD=yes
WITH_LLD_BOOTSTRAP=yes


WITHOUT_LLVM_TARGET_AARCH64=YES
WITHOUT_LLVM_TARGET_ARM=YES
WITHOUT_LLVM_TARGET_MIPS=YES
WITHOUT_LLVM_TARGET_POWERPC=YES
WITHOUT_LLVM_TARGET_SPARC=YES

WITHOUT_LPR=YES
WITHOUT_MAILWRAPPER=YES

WITHOUT_MAN=YES
WITHOUT_MAN_UTILS=YES 

WITHOUT_MLX5TOOL=YES 
WITHOUT_MODULE_DRM=YES
WITHOUT_MODULE_DRM2=YES

WITHOUT_NDIS=YES
WITHOUT_NETGRAPH=YES

WITHOUT_NIS=YES
WITHOUT_NLS=YES
WITHOUT_NTP=YES

WITHOUT_OPENSSH=YES

WITHOUT_PF=YES
WITHOUT_PMC=YES
WITHOUT_PPP=YES
WITHOUT_PROFILE=YES

WITHOUT_QUOTAS=YES

WITHOUT_RADIUS_SUPPORT=YES

WITHOUT_RBOOTD=YES
WITHOUT_RESCUE=YES
WITHOUT_ROUTED=YES 
WITHOUT_SENDMAIL=YES
WITHOUT_SHAREDOCS=YES
WITHOUT_SSP=YES

WITHOUT_TALK=YES
WITHOUT_TCP_WRAPPERS=YES

WITHOUT_TFTP=YES
WITHOUT_TIMED=YES
WITHOUT_USB=YES
WITHOUT_VI=YES
WITHOUT_WIRELESS=YES
WITHOUT_WPA_SUPPLICANT_EAPOL=YES

 #### ERROR ###
Installing /usr/ports/databases/p5-DBI/work/stage/usr/local/lib/perl5/site_perl/                                               man/man3/Win32::DBIODBC.3
Installing /usr/ports/databases/p5-DBI/work/stage/usr/local/bin/dbilogstrip
Installing /usr/ports/databases/p5-DBI/work/stage/usr/local/bin/dbiprof
Installing /usr/ports/databases/p5-DBI/work/stage/usr/local/bin/dbiproxy
/usr/bin/strip /usr/ports/databases/p5-DBI/work/stage/usr/local/lib/perl5/site_p                                               erl/mach/5.30/auto/DBI/DBI.so
====> Compressing man pages (compress-man)
===>  Installing for p5-DBI-1.643
===>  Checking if p5-DBI is already installed
===>   Registering installation for p5-DBI-1.643 as automatic
Installing p5-DBI-1.643...
===>   opendmarc-1.3.2_2 depends on package: p5-DBI>=0 - found
===>   Returning to build of opendmarc-1.3.2_2
===>   opendmarc-1.3.2_2 depends on package: p5-DBD-mysql>=0 - not found
===>  p5-DBD-mysql-4.050 cannot install: unknown MySQL version: 8.
*** Error code 1

Stop.
make[2]: stopped in /usr/ports/databases/p5-DBD-mysql
*** Error code 1

Stop.
make[1]: stopped in /usr/ports/mail/opendmarc
*** Error code 1

Stop.
make: stopped in /usr/ports/mail/opendmarc
Comment 1 Dan Mahoney 2020-05-31 22:27:55 UTC
Please try this again with the correct format for default_versions of mysql.

From /usr/ports/Mk/bsd.default-versions.mk

# Possible values: 5.5, 5.6, 5.7, 8.0, 5.5m, 10.1m, 10.2m, 10.3m, 10.4m, 5.5p, 5.6p, 5.7p, 5.6w
MYSQL_DEFAULT?=         5.7

"8" as a bareword doesn't seem supported.

-Dan Mahoney